# $Revision: 1.60 $, $Date: 2009/02/16 22:31:32 $
# TODO
# - package global files for inheritance, make initial projects use inherit:
#   http://trac.edgewall.org/browser/tags/trac-0.11/RELEASE --
#   [inherit]
#    file = /etc/trac/trac.ini
#    This will load the configuration from the /etc/trac/trac.ini file, while
#    of course allowing to override any global settings in the environment's
#    configuration.
#    In that global configuration, you can specify shared directories for templates and plugins, e.g.:
#    [inherit]
#    plugins_dir = /etc/trac/plugins/
#    templates_dir = /etc/trac/templates/
# - 21:07:41  jtiai> set htdocs_location in trac ini to for example /trac-htdocs/
Summary:	Integrated SCM, Wiki, Issue tracker and project environment
Summary(pl.UTF-8):	Zintegrowane scm, wiki, system śledzenia problemów i środowisko projektowe
Name:		trac
Version:	0.11.3
Release:	1
License:	BSD-like
Group:		Applications/WWW
Source0:	http://ftp.edgewall.com/pub/trac/Trac-%{version}.tar.gz
# Source0-md5:	df29c9be868ab5aa02cfaa0e3bbc7a2b
Source1:	%{name}-apache.conf
Source2:	%{name}-lighttpd.conf
Source3:	%{name}.ico
Source4:	%{name}.ini
Patch0:		%{name}-root2http.patch
Patch1:		%{name}-defaults.patch
URL:		http://www.edgewall.com/trac/
BuildRequires:	python >= 1:2.1
BuildRequires:	python-devel >= 1:2.1
BuildRequires:	python-setuptools
BuildRequires:	rpm-pythonprov
BuildRequires:	rpmbuild(macros) >= 1.268
BuildRequires:	sed >= 4.0
Requires:	group(http)
Requires:	python >= 1:2.1
Requires:	python-clearsilver >= 0.9.3
Requires:	python-genshi
Requires:	python-setuptools >= 0.6-1.c8.1.1
Requires:	python-sqlite1 >= 0.4.3
Requires:	python-subversion >= 1.2.0
Requires:	webapps
Requires:	webserver(access)
Requires:	webserver(alias)
#Requires:	webserver(rewrite)
#Requires:	webserver(setenv)
#Suggests:	apache(mod_env)
#Suggests:	apache-mod_python >= 3.1.3
#Suggests:	lighttpd-mod_fastcgi
#Suggests:	python-docutils >= 0.6
#Suggests:	python-pygments >= 0.6
#Suggests:	python-silvercity >= 0.9.4
#Suggests:	python-textile >= 2.0
#Suggests:	webserver(auth)
#Suggests:	webserver(cgi)
Obsoletes:	trac-plugin-webadmin
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		_appdir		%{_datadir}/%{name}
%define		_webapps	/etc/webapps
%define		_webapp		%{name}
%define		_sysconfdir	%{_webapps}/%{_webapp}

%description
Trac is a minimalistic web-based software project management and
bug/issue tracking system. It provides an interface to the Subversion
revision control systems, an integrated wiki, flexible issue tracking
and convenient report facilities.

%description -l pl.UTF-8
Trac to minimalistyczny, oparty na WWW zarządca projektów i system
śledzenia błędów/problemów. Dostarcza interfejs do systemu kontroli
wersji Subversion, zintegrowane wiki, elastyczne śledzenie problemów i
wygodne ułatwienia do raportowania.

%prep
%setup -q -n Trac-%{version}
%patch0 -p1
%patch1 -p1

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_sysconfdir},/var/lib/%{name}}

%{__python} setup.py install \
	--root=$RPM_BUILD_ROOT

install %{SOURCE1} $RPM_BUILD_ROOT%{_sysconfdir}/apache.conf
install %{SOURCE1} $RPM_BUILD_ROOT%{_sysconfdir}/httpd.conf
install %{SOURCE2} $RPM_BUILD_ROOT%{_sysconfdir}/lighttpd.conf

# keep paths from 0.10 install, we want fixed paths so we do not have to update
# webserver config each time with the upgrade.
install -d $RPM_BUILD_ROOT%{_appdir}/cgi-bin
mv $RPM_BUILD_ROOT{%{py_sitescriptdir}/trac,%{_appdir}}/htdocs
for a in $RPM_BUILD_ROOT%{py_sitescriptdir}/trac/admin/templates/deploy_trac.*; do
	%{__sed} -i -e 's,${executable},%{__python},g' $a
	mv $a $RPM_BUILD_ROOT%{_appdir}/cgi-bin/${a##*deploy_}
done

install %{SOURCE4} $RPM_BUILD_ROOT%{_sysconfdir}/trac.ini
install %{SOURCE3} $RPM_BUILD_ROOT%{_appdir}/htdocs/%{name}.ico
> $RPM_BUILD_ROOT%{_sysconfdir}/htpasswd

# compile the scripts
#%py_ocomp $RPM_BUILD_ROOT%{py_sitescriptdir}

# remove .py files, leave just compiled ones.
%py_postclean

%clean
rm -rf $RPM_BUILD_ROOT

%triggerin -- apache1 < 1.3.37-3, apache1-base
%webapp_register apache %{_webapp}

%triggerun -- apache1 < 1.3.37-3, apache1-base
%webapp_unregister apache %{_webapp}

%triggerin -- apache < 2.2.0, apache-base
%webapp_register httpd %{_webapp}

%triggerun -- apache < 2.2.0, apache-base
%webapp_unregister httpd %{_webapp}

%triggerin -- lighttpd
%webapp_register lighttpd %{_webapp}

%triggerun -- lighttpd
%webapp_unregister lighttpd %{_webapp}

%post
if [ "$1" = 1 ]; then
%banner %{name} -e <<EOF

To create new trac environment run as root:
# trac-admin /var/lib/trac/project initenv
and chown -R it to webserver user (http).

EOF
#'

# NOTE(s)
#- we made the parent directory (/var/lib/trac) g+s, but db/* files
#  needed to be really writable for web user, so better suggest
#  chown -R than chmod single file(s)?

fi

%files
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog INSTALL README THANKS UPGRADE
%doc contrib/
%dir %attr(750,root,http) %{_sysconfdir}
%attr(640,root,root) %config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/apache.conf
%attr(640,root,root) %config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/httpd.conf
%attr(640,root,root) %config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/lighttpd.conf
%attr(640,root,http) %config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/htpasswd
%attr(640,root,http) %config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/trac.ini

%attr(755,root,root) %{_bindir}/trac-admin
%attr(755,root,root) %{_bindir}/tracd

#%{_mandir}/man1/trac*.1*

%dir %{_appdir}
%dir %{_appdir}/cgi-bin
%attr(755,root,root) %{_appdir}/cgi-bin/trac.*cgi
%attr(755,root,root) %{_appdir}/cgi-bin/trac.wsgi
%{_appdir}/htdocs
#%{_datadir}/templates
#%{_datadir}/wiki-default
#%{_datadir}/wiki-macros

%{py_sitescriptdir}/%{name}
%{py_sitescriptdir}/Trac-*.egg-info

# project data is stored there
%attr(2770,root,http) %dir /var/lib/trac

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: trac.spec,v $
Revision 1.60  2009/02/16 22:31:32  glen
- update to 0.11.3

Revision 1.59  2009/02/16 22:25:07  glen
- merge Trac 0.11.2.1 from DEVEL

Revision 1.58  2008/10/30 16:35:53  arekm
- release 4

Revision 1.57  2008/10/08 15:36:03  glen
- release 3

Revision 1.56  2008/10/03 18:06:04  arekm
- release 2

Revision 1.55  2008/08/07 13:37:12  glen
- util patch outdated

Revision 1.54  2008/08/06 16:49:15  glen
- update to 0.10.5

Revision 1.53  2008/08/06 16:33:49  glen
- needs setuptools for modules handling
- doesn't use svn cli tools; rel 5

Revision 1.52  2008/08/06 15:04:54  glen
- lighttpd config needs fastcgi (how should this be handled with deps)

Revision 1.51  2008-05-30 13:54:52  glen
- also set umask 006

Revision 1.50  2008-05-29 15:54:28  glen
- trac-admin: switch to user http when ran as root; rel 3

Revision 1.49  2008-05-29 09:46:09  glen
- updated lighttpd config to support graceful restarts; rel 2

Revision 1.48  2008-05-26 12:33:37  glen
- "Modified BSD" is "BSD-like"? http://trac.edgewall.org/wiki/TracLicense

Revision 1.47  2008-01-07 14:26:34  glen
- R: webserver(access) (authz_host on apache2)

Revision 1.46  2007/05/01 16:30:17  rotom
- up to 0.10.4

Revision 1.45  2007/03/26 21:18:54  rotom
- up to 0.10.3.1

Revision 1.44  2007/02/12 22:09:18  glen
- tabs in preamble

Revision 1.43  2007/02/12 01:06:35  baggins
- converted to UTF-8

Revision 1.42  2007/01/17 17:02:44  jajcus
Version: 0.10.3

Revision 1.41  2006/11/17 01:39:15  andree
- upgrade to 0.10.2 (security fix)

Revision 1.40  2006/11/13 09:51:28  glen
- 0.10.1 (xss fix)

Revision 1.39  2006/10/09 08:34:38  patrys
- up to 0.10

Revision 1.38  2006/10/01 20:37:19  glen
- rel 2

Revision 1.37  2006/09/29 21:25:58  glen
- update webapp triggers due apache1 package split

Revision 1.36  2006/08/11 15:44:06  patrys
- up to 0.9.6

Revision 1.35  2006/07/20 18:18:45  glen
- lighttpd integration, not sure what to do with requires
- drop old trigger

Revision 1.34  2006/04/21 16:31:20  deejay1
- up to 0.9.5

Revision 1.33  2006/02/22 14:22:12  deejay1
- up to 0.9.4 (bugfix release); rel. 1

Revision 1.32  2006/02/03 18:26:19  glen
- fix regex for apache1, rel 3

Revision 1.31  2006/02/03 16:50:03  baggins
- release 2

Revision 1.30  2006/02/02 15:14:49  glen
- update apache2 trigger to match apache-base in case somebody decides not to
  use apache2.2 virtual pkg (freedom of choice one of the pld mottos)

Revision 1.29  2006/02/01 21:04:13  glen
- rpm-pythonprov should be BR

Revision 1.28  2006/02/01 15:02:29  glen
- BR: rpm-pythonprov

Revision 1.27  2006/02/01 14:56:59  glen
- started reviewing mod_python patches
- use %service even in triggers

Revision 1.26  2006/01/26 14:33:24  glen
- add cve ref

Revision 1.25  2006/01/20 21:50:47  arekm
- up to 0.9.3, resolves CVE-2005-4305

Revision 1.24  2005/12/07 02:02:53  glen
- typhon epoch

Revision 1.23  2005/12/06 13:05:47  glen
- convert to webapps framework; rel 1

Revision 1.22  2005/12/06 03:06:41  aredridel
- up to 0.9.2, fixes security flaw
- STBR

Revision 1.21  2005/11/03 09:28:14  arekm
- up to 0.9

Revision 1.20  2005/10/07 13:07:15  czarny
- BR: python-devel

Revision 1.19  2005/08/15 19:07:59  glen
- use apache config triggers
- add contrib/ to %doc
- %{py_postclean} enabled to remove .py from DESTDIR
- rel 3

Revision 1.18  2005/07/24 03:12:24  aredridel
- actually works
- STBR

Revision 1.17  2005/06/21 22:43:11  patrys
- up to 0.8.4, security fix release

Revision 1.16  2005/06/20 08:46:48  radzio
- R:python-sqlite1
- rel 2
- STBR

Revision 1.15  2005/06/03 19:25:02  aredridel
- up to 0.8.2

Revision 1.14  2005/05/30 08:14:38  radzio
- rel 1, STBR

Revision 1.13  2005/05/29 22:07:16  radzio
- fix Patch0 (compatibility with Subversion 1.2)
- add Patch1 (fix path in trac/siteconfig.py to be more Linux friendly)
- rel 0.3 (tests needed)

Revision 1.12  2005/05/27 07:00:21  glen
- py_postclean macro is broken

Revision 1.11  2005/05/27 06:55:50  glen
- add py_ocomp and py_postclean back

Revision 1.10  2005/05/27 06:53:59  glen
- py_hardlink done by rpm

Revision 1.9  2005/05/26 21:21:56  aredridel
- patch for svn 1.2.0
- R: python-subversion >= 1.2.0
- rel 0.2

Revision 1.8  2005/03/06 11:17:17  glen
- R: group(http) as we have files listed with that gid

Revision 1.7  2005/03/06 10:36:18  glen
- fix %banner
- revert bundled trac-env creation

Revision 1.6  2005/02/15 15:59:02  glen
- add missing icon
- revert macros rev bump
- with data is off by default

Revision 1.5  2005/02/15 15:40:11  glen
- fix apache2 config linkage
- testing bundled trac-env
- add BR for py_ macros

Revision 1.4  2005/02/14 21:43:17  qboosh
- removed COPYING from doc (just GPL)

Revision 1.3  2005/02/14 21:36:52  qboosh
- pl

Revision 1.2  2005/02/14 21:01:34  glen
- progress... works now for me

Revision 1.1  2005/02/14 00:04:07  glen
- new
